import threading
from deploy.domain.ports.create_tenant_interface import ICreateTenant
from deploy.domain.models.tenant_models import TenantCloudConnexa
from deploy.infraestructure.gateways.create_tenant_repository_interface import ICreateTenantRepository
from deploy.infraestructure.gateways.network_connector_interface import INetworkConnector


class CreateTenant(ICreateTenant):
    lock = threading.Lock()

    def __init__(self, create_tenant_repository: ICreateTenantRepository, network_connector: INetworkConnector):
        self.create_tenant_repository: ICreateTenantRepository = create_tenant_repository
        self.network_connector: INetworkConnector = network_connector

    def create(self, tenant: TenantCloudConnexa) -> dict:
        repo_response = self.create_tenant_repository.create_tenant(tenant)
        network_connector_response = self.network_connector.get_connector(tenant)
        return {
            "network_connector": network_connector_response,
            "database_response": repo_response
        }

