from typing import Optional
from pydantic import BaseModel, AnyUrl
from ipaddress import IPv4Address, IPv4Network


class NetworkConnectorConfigParameters(BaseModel):
    pass


class CloudConnexaConfigParametersNetwork(BaseModel):
    network: IPv4Network
    description: str


class CloudConnexaConfigParameters(NetworkConnectorConfigParameters):
    ip_cidr: str
    gateway: IPv4Address
    cloud_id: str
    client_id: str
    client_secret: str
    allowed_networks: list[CloudConnexaConfigParametersNetwork]


class CloudConnexaConfigParametersResponse(NetworkConnectorConfigParameters):
    info: Optional[str]
    url: AnyUrl
