from abc import ABCMeta, abstractmethod

from deploy.domain.network_connector_type import NetworkConnectorType
from deploy.infraestructure.gateways.network_connector_interface import INetworkConnector


class INetworkConnectorFactory(metaclass=ABCMeta):
    @staticmethod
    @abstractmethod
    def get_network_connector(network_connector_type: NetworkConnectorType) -> INetworkConnector:
        ...